Support » Plugin: Yet Another Related Posts Plugin (YARPP) » PHP Warning: ksort()

  • Hi. In the log a lot of errors after the update wordpress
    PHP Warning: ksort() expects parameter 1 to be array, object given in /home/s/***/***/public_html/wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Cache.php on line 465

Viewing 15 replies - 1 through 15 (of 24 total)
  • lighterdayz

    (@lighterdayzyahoocom)

    Having same issue…

    Warning: ksort() expects parameter 1 to be array, object given in wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Cache.php on line 465

    Same issue for one of my sites as well.

    Warning: ksort() expects parameter 1 to be array, object given in **/wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Cache.php on line 465

    Have a lot in error.log:

    2016/12/09 10:45:22 [error] 1140#1140: *24158 FastCGI sent in stderr: “PHP message: PHP Warning: ksort() expects parameter 1 to be array, object given in /wp-content/plugins/yet-another-related-posts
    -plugin/classes/YARPP_Cache.php on line 465” while reading response header from upstream

    Same problem for new posts after update to WP 4.7.
    If I change sort method from related to other – it dissapears.

    Hope the author will updated the plugin for new version soon

    Add me to the list. I’m seeing the error message too. :/

    Hi devs,

    What is the status with this one? Is this going to be fixed any time soon? Can we have some sort of update on this?

    I’m having the same issue – what to do? I’ve disabled the plugin for now. A shame!

    WordPress redid the hook system and they basically ripped apply_filters from the core for a hack. Working on a monkey patch for everyone currently.

    Just want to note that I’m getting this same error running WordPress 4.7.

    I’m also using the Comet Cache plugin, and clearing my cache seemed to make this error go away. Not sure how long that will work for though.

    Hoping for a fix soon!

    As a quick-fix just at a “@” before the ksort() in /home/s/***/***/public_html/wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Cache.php on line 465.

    No more problems.

    Did you mean to add “@” before the ksort()?

    This is going to fix the issue?

    I’m facing the same issue!

    Furthermore the error messages not only appear in a log file, they are also shown at the beginning of new postings.

    Please provide an update.

    @tooni, thats likely because you have display_errors on or WP_DEBUG set to true in wp-config.php. Check the file and/or contact your host.

    Temporarily comment out this line 465, the error will disappear. The plugin will work just fine.
    /wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Cache.php

Viewing 15 replies - 1 through 15 (of 24 total)
  • The topic ‘PHP Warning: ksort()’ is closed to new replies.